package com.sa.ibiz.demo.demo.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.domain.UserRoleDataAction;
import com.sa.ibiz.demo.demo.service.UserRoleDataActionService;
import com.sa.ibiz.demo.demo.service.dto.UserRoleDataActionSearchFilter;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import java.math.BigInteger;
import java.util.List;

@RestController
@RequestMapping("/demo/userroledataaction")
public class UserRoleDataActionResource
{
	@Autowired
	private UserRoleDataActionService service;


	@PostMapping(value = "/checkKey")
	public ResponseEntity<UserRoleDataAction> checkKey(@Validated @RequestBody UserRoleDataAction data){
		boolean bRt=service.checkKey(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色数据操作[checkKey]操作发生错误","UserRoleDataAction",data.getUserroledataactionid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/remove")
	public ResponseEntity<UserRoleDataAction> remove(@Validated @RequestBody UserRoleDataAction data){
		boolean bRt=service.remove(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色数据操作[remove]操作发生错误","UserRoleDataAction",data.getUserroledataactionid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/create")
	public ResponseEntity<UserRoleDataAction> create(@Validated @RequestBody UserRoleDataAction data){
		boolean bRt=service.create(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色数据操作[create]操作发生错误","UserRoleDataAction",data.getUserroledataactionid().toString());
		return ResponseEntity.ok().body(data);
	}
	@GetMapping(value = "/{id}")
	public ResponseEntity<UserRoleDataAction> get(@Validated @PathVariable String id){
		UserRoleDataAction data=new UserRoleDataAction();
		data.setUserroledataactionid(id);;
		data=service.get(data);
		if(data==null)
			throw new BadRequestAlertException("用户角色数据操作[get]操作发生错误","UserRoleDataAction",id.toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/getDraft")
	public ResponseEntity<UserRoleDataAction> getDraft(@Validated @RequestBody UserRoleDataAction data){
		boolean bRt=service.getDraft(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色数据操作[getDraft]操作发生错误","UserRoleDataAction","");
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/update")
	public ResponseEntity<UserRoleDataAction> update(@Validated @RequestBody UserRoleDataAction data){
		boolean bRt=service.update(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色数据操作[update]操作发生错误","UserRoleDataAction",data.getUserroledataactionid().toString());
		return ResponseEntity.ok().body(data);
	}
    @PostMapping(value="/searchdefault")
	public ResponseEntity<Page<UserRoleDataAction>> searchDefaultPage(@Validated @RequestBody UserRoleDataActionSearchFilter filter){
		Page<UserRoleDataAction> searchResult = service.searchDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}

	@PostMapping(value="/listdefault")
	public ResponseEntity<List<UserRoleDataAction>> listDefault(@Validated @RequestBody UserRoleDataActionSearchFilter filter){
		List<UserRoleDataAction> searchResult = service.listDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}
}
